| Home | Libraries | People | FAQ | More

###### segments_view::segments_view (2 of 3 overloads)

Constructor.

###### Synopsis

    segments_view(
        segments_view const& other);

###### Description

After construction, viewss reference the same underlying character buffer. Ownership is not transferred; the caller is responsible for ensuring the lifetime of the buffer extends until it is no longer referenced.

###### Postconditions

    this->buffer().data() == other.buffer().data()

###### Complexity

Constant

###### Exception Safety

Throws nothing